Public Member Functions | List of all members
clan::Line2f Class Reference
clanCore Math

2D line - Float More...

`#include <line.h>`

Inheritance diagram for clan::Line2f:

## Public Member Functions
| Line2f ()
| Line2f (const Line2x< float > &copy)
| Line2f (const Vec2< float > &point_p, const Vec2< float > &point_q)
| Line2f (const Vec2< float > &point_p, float gradient)
Public Member Functions inherited from clan::Line2x< float >
| Line2x ()
| Line2x (const Line2x< float > &copy)
| Line2x (const Vec2< float > &point_p, const Vec2< float > &point_q)
| Line2x (const Vec2< float > &point_p, floatgradient)
Vec2< float > | get_intersection (const Line2x< float > &second, bool &intersect) const
| Return the intersection of this and other line. More...
float | point_right_of_line (Vec2< float > point) const
| Return [<0, 0, >0] if the Point P is right, on or left of the line trough A,B. More...
Line2x< float > & | operator= (const Line2x< float > &copy)
| = operator. More...
bool | operator== (const Line2x< float > &line) const
| == operator. More...
bool | operator!= (const Line2x< float > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Line2x< float >
Vec2< float > | p
| First point on the line. More...
Vec2< float > | q

## Detailed Description

2D line - Float

The documentation for this class was generated from the following file:

- line.h